"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Removes elements from an array and, if necessary, inserts new elements in their place, returning the deleted elements.
 * @param array Base array.
 * @param start The zero-based location in the array from which to start removing elements.
 * @param deleteCount The number of elements to remove.
 * @param items Elements to insert into the array in place of the deleted elements.
 */
function splice(array, start, deleteCount) {
    if (start === void 0) { start = array.length; }
    if (deleteCount === void 0) { deleteCount = array.length - start; }
    var items = [];
    for (var _i = 3; _i < arguments.length; _i++) {
        items[_i - 3] = arguments[_i];
    }
    return array.slice(0, start).concat(items, array.slice(start + (deleteCount < 0 ? 0 : deleteCount)));
}
exports.splice = splice;
//# sourceMappingURL=splice.js.map